### Method

# Pango Layout set_attributes

#### Declaration [src]

    void
    pango_layout_set_attributes (
      PangoLayout* layout,
      PangoAttrList* attrs
    )

#### Description [src]

Sets the text attributes for a layout object.

References `attrs`, so the caller can unref its reference.

#### Parameters

`attrs`

  Type: `PangoAttrList`

  A `PangoAttrList`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.